<script setup lang="ts">
interface Props {
  src?: string
}
const props = defineProps<Props>()
const currentUrl = $computed(() => {
  return props.src || 'https://webapp-pub.ezijing.com/website/base/images/avatar.svg'
})
</script>

<template>
  <img :src="currentUrl" />
</template>

<style scoped>
img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
</style>
